package com.cool.store.service;

import com.cool.store.entity.BankdocDO;
import com.cool.store.entity.BanktypeDO;
import com.cool.store.request.AuditRejectRequest;
import com.cool.store.request.BranchBankPageRequest;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @author Fun Li 2023/8/10 14:23
 * @version 1.0
 */
public interface BankService {
    List<BanktypeDO> listBank();

    PageInfo<BankdocDO> listBranchBank(BranchBankPageRequest request);

    Boolean repayment(AuditRejectRequest request);

}
